## AgsOutput

AgsOutput — Output of AgsAudio

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsRecycling * | ags_output_find_first_input_recycling ()
AgsRecycling * | ags_output_find_last_input_recycling ()
AgsOutput * | ags_output_new ()

## Object Hierarchy

        GObject
        ╰── AgsChannel
            ╰── AgsOutput

## Includes

    #include <ags/audio/ags_output.h>

## Description

AgsOutput represents a output channel of AgsAudio.

## Functions

### ags_output_find_first_input_recycling ()

    AgsRecycling *
    ags_output_find_first_input_recycling (AgsOutput *output);

Retrieve first input recycling.

#### Parameters

output | an AgsOutput |

#### Returns

the first AgsRecycling of AgsAudio.

[transfer full]

Since: 3.0.0

### ags_output_find_last_input_recycling ()

    AgsRecycling *
    ags_output_find_last_input_recycling (AgsOutput *output);

Retrieve last input recycling.

#### Parameters

output | an AgsOutput |

#### Returns

the last AgsRecycling of AgsAudio.

[transfer full]

Since: 3.0.0

### ags_output_new ()

    AgsOutput *
    ags_output_new (GObject *audio);

Creates an AgsOutput, assigned to `audio` .

#### Parameters

audio | the AgsAudio |

#### Returns

a new AgsOutput

Since: 3.0.0